7月26日
1.修正了读取和处理服务器地址设置过程中的小错误。
2.代码优化，

7月25日
1.一些适应网易版WOW客户端新变化的调整。
2.你可以在wow.exe的文件名中加入地区标记（tw:台港澳；eu:欧；us:美；kr:韩），来指定与所选地区匹配的客户端主程序。

4月18日
1.开始支持WOW 3.1.0 版本客户端。
2.进一步放宽了版本验证。

2月13日
1.开始支持WOW 3.0.x 各版本客户端。

1月28日
1.更新为支持WOW 3.0.8a版本。

1月22日
1.更新为支持WOW 3.0.8.9464版本。
2.突破模式切换功能恢复，详见压缩包注释。
提示：不要往alternate.MPQ放置任何自定义模型

12月10日
1.重新使用MD5验证客户端主程序。

12月9日
1.更新为支持WOW 3.0.5.9294版本。

11月5日
1.更新为支持WOW 3.0.3.9183版本。
2.界面上的“背景声音”选项已被“静音模式”选项取代。

11月3日
1.登录器无法识别的命令行参数将被传递给 wow.exe。

10月18日
1.更新为支持WOW 3.0.2.9056版本。
2.Home/End 切换功能暂时去除。

9月19日
1.与骸骨复原功能有关的一些调整。
2.修正了切换为英文语音时客户端出错的问题。
3.使用签名代码验证方式校验客户端（此功能可能触发Windows联网更新签名证书）。

8月10日
1.修正了导致客户端报出内存不能读错误的问题。

8月9日
1.修改了骸骨还原的执行方式。
2.现在登录器不会再要求提升权限了。
3.修改加载客户端的代码以避开和垃圾卡卡的冲突。
4.修改了某个参数的名字，详见包内说明。

8月1日
1.修正了登录器在默认骸骨复原模式下有时无法正确识别和谐材质的问题。
2.修正了使用非简体客户端时登录器没有自动最小化的问题。
3.包内附带TargetingFrame.zip，解到Interface下可还原拾取框骷髅。
4.修正了登录器与Wow.exe在同一文件夹下时出现的一系列错误。

7月31日
1.调整了骸骨复原代码的同步执行控制。
2.修正了登录器错误识别命令行参数的问题。
3.你可以用过在快捷方式命令行后增加 -fc 参数来强制执行骸骨还原。

7月29日
1.进一步优化骸骨复原的代码。

7月27日
1.调整代码以期降低骸骨复原出错的几率。

7月26日
1.引入以动态修改实现骸骨复原的新机制，此操作将在启动游戏时自动进行。
2.本版登录器会在启动游戏前自动还原旧版登录器修改的骸骨包。
3.StormLib.dll 已被移除，登录器现在不会修改任何MPQ文件。
4.新增2个命令行参数，详见包内说明。

7月18日
1.更新为支持WOW 2.4.3.8606版本。

6月21日
1.调整程序运行级别，以适应在启用了 UAC 的 Vista 系统中运行。
2.改进代码，以期解决一些安全软件或设置导致写入进程失败的问题。

6月14日
1.改进了清除patch-**CN.MPQ文件材质数据的方式。
2.改进了登录器处理客户端服务区配置的方式。
3.如果客户端文件夹下存在正确的launcher2.ini，登录器仍然会读取它。
4.登录器现在只会加载同文件夹下的StormLib.dll。

6月7日
1.取消骸骨复原选项会立刻提示是否还原和谐包。
2.尝试修正在部分客户端中使用骸骨复原出现打开AH出错和无故退出的问题。

5月31日
1.修正双开时，程序未能正确阻止MPQ修改操作的问题。

5月27日
1.增加骸骨复原功能，详见压缩包注释。

5月22日
1.程序将会补上被BLZ忘记的方正字体残骸,以避免英文语音下读蓝条报错退出的问题。
2.修正了切换服务大区列表时，服务区配置未被正确设置的问题。

5月15日
1.更新为支持WOW 2.4.2.8278版本。
2.为了方便使用非简体客户端的朋友，从这个版本开始，本程序集成CWOW服务区列表。
3.现在，可以使用Home/End键切换登录器的工作模式。

4月12日
1.修正了游戏配置处理不当导致登录器报运行时错误的问题。
2.修正了加载“背景音乐”配置时的错误。

4月11日
1.尝试修正导致部分代理客户端无法使用的问题。

4月7日
1.重新编译打包程序，以期避开江民的误杀。

4月6日
1.再次修改了登录过程的代码。
2.该版本现在可以支持2.4.1和2.4.0两个版本的客户端。

4月5日
1.修改了部分提示信息。
2.调整登录过程的代码。
3.暂时关闭了手动控制Patch的功能,-h 参数也同时被禁用。

4月4日
1.更新为支持WOW 2.4.1.8125 版本。
2.修正了使用 -d 参数时无法正确加载服务器列表的问题。

3月29日
1.更新为支持WOW 2.4.0.8089 版本。

3月22日
1.小退之后，按住Shift+End键至少0.5秒，登录器将在“嘀”声之后重置到准备登录的状态。
2.现在，登录器会根据realmlist.wtf而不是launcher2.ini确定当前服务区。
3.修正了部分系统中，登录器界面上的游戏选项出现黑块的问题。
4.修正了登录器有时无法正确配置服务器名的问题。
5.修正了 -nostop 参数无法正确生效的问题。
6.重新开放 -OpenGL 参数。

3月8日
1.重写了登录器大部分代码，显著减少了程序体积和内存占用。
2.现在登录器只有在成功完成登录操作后才会最小化到托盘。
3.增加一个参数用来允许WOW处于隐藏状态，详见压缩包注释。
4.修改众多，恕不一一列举。

2月16日
1.调整了核心代码，以期减少登录进度误判而导致的登录错误。
2.修正了不正确处理客户端配置文件导致设置丢失的问题。
3.修正了在非简体中文客户端下，窗口模式设置失效的问题。
4.修正了 -q 参数出错的问题。
5.诸多细节修改，恕不一一列举。
重新整理现在可用的参数如下
调用格式：Skeleton.exe [-d] wowpath [-o[:tw | us | eu | kr]] [-rn SrvName] [-dl] [-opengl] [-h | -s | -q]
说明：
  -d 使用指定一个WOW安装文件夹。
  -o  登录非CWOW服务区，默认为使用下拉列表选择
    tw 登录台服
    us 登录美服
    eu 登录欧服
    kr 登录韩服
  -rn 选择登录后自动进入服务器
    SrvName 服务器名，如“罗宁”
  -q  静默模式，程序加载后直接执行“启动游戏”操作。
  -h  手动控制Patch。
  -f 清除现有的服务器名设置，阻止登入后自动进入人物列表。
  -s 登录完成自动退出。

2月5日
1.现在“启动游戏”后，登录器将最小化为托盘图标，而不是自动退出。
2.-w 参数已被 -s 参数取代，新参数可以强制登录器在登入游戏后自动退出。
3.其它诸多细节修改，恕不一一列举。

1月25日
1.更新为支持WOW 2.3.3.7799 版本。

2008年1月10日
1.更新为支持WOW 2.3.2.7741 版本。

11月23日
1.修正了修改模型后Error文件夹产生大量错误文件并导致游戏停顿的问题。
2.由于上述修正的需要，OpenGL方式被重新禁用。
3.恢复了2.2.3版登录器的运行设置。

11月19日
1.您现在可以使用 -h 参数或者在登录器中按F5 来阻止登录器在启动游戏后执行Patch。
2.恢复2.2.3版本中新增的-d参数。
3.重新开放以OpenGL方式启动游戏。

11月16日
1.更新为支持WOW 2.3.0.7561 版本。
2.这个版本是基于2.2.2版本登录器代码制作的，因此2.2.3版本登录器中新增功能暂时未提供。

10月18日
1.增加手动Patch模式，登录游戏前按End键取消Patch，登录后进入人物列表前按Home键恢复Patch。选择带 -h 参数启动登录器或在登录器中按F5可激活此模式。
2.恢复了登录器启动游戏后自动关闭的功能，如果您掉线或者切换账号频繁而又不想每次都退出游戏重新登录的话，可以带 -w 参数启动登录器，或者在点击“启动游戏”时按住Ctrl键来暂时取消自动关闭设置。
3.增加了3个参数配合上述修改。
  -h 强制登录器工作于手动Ptach模式下
  -f 清除现有的服务器名设置，阻止登入后自动进入人物列表。
  -w 完成登入操作后不自动关闭登录器。
4.修正了登录器在启动游戏后私自结束WOW进程的问题。

10月11日
1.更新为支持 WOW2.2.3.7359 版本。
2.修改了查找WOW窗体的方式，以期减少启动游戏时登录器失去响应现象的出现几率。
3.-e 参数已经被停用，取代它的是 -d 参数，-d 参数用来指定一个WOW安装文件夹。

10月8日
1.对部分代码进行了优化。
2.重新支持非全屏窗口模式启动游戏。

10月6日
1.更新为支持WOW 2.2.2
更新注释:
  这个版本的登录器会根据WOW登录进度执行操作，因此大家使用时注意如下几点：
   1.WOW的非全屏窗口模式和OpenGL模式暂时不支持。
   2.在进入游戏后，登录器仍然会继续运行，如要重新登录，请点一下登录器界面上的“重新登录”按钮后，再登录游戏。
   3.如果出现版本错误或者131错误的提示，请退出游戏和登录器重试，如果还不行，请跟贴反应情况。
   4.如果登录器启动游戏过程中失去响应，可以尝试按一下“end"键。
   5.游戏进行中时不要点击“重新登录”按钮。
   6.不要尝试改变登录界面的样式。
   7.用就好了，不要来询问我的实现方法，低调低调。
   8.部分宽屏分辨率下无法使用，目前我没有宽屏系统，因此暂时无法修正这个问题。

9月27日 21:28
1.更新为支持WOW 2.2.0.7272，已测试繁体中文版本可用。
2.修改了WOW主程序的效验方式，以期解决与某些代理跳板程序冲突的问题。

9月6日 20:38
1.更新支持CTBC 2.1.4版本。
2.进一步改进了对非简体客户端的支持。

8月7日 21:00
1.修正了特定情况下，写入配置的服务器名变成乱码的问题。
2.如果玩家没有指定"-rn"参数，程序将会根据玩家选择的wow程序的语言版本选择合适的服务器名作为默认服务器。

7月28日12:15
1.程序寻找WOW主程序的方式已被修改。现在，如果WOW安装目录中存在多个WOW主程序，程序将根据你选择的WOW服务区，寻找适合的WOW主程序。建议您将台服和其他海外服客户端的主程序命名为如下形势，方便程序优先选用:
  wow.tw.exe
  wow.us.exe
  wow.eu.exe
  wow.kr.exe
2.点击服务区列表右侧的“?”标记可以在国服列表和中國大陸以外地區伺服器列表间切换。

7月21日 15:30
1.程序现在有了一个新名字和一个并非独一无二的新图标。^_^
2.正式引入参数功能。
调用格式：Skeleton.exe [-e] wowexe [-o[:tw | us | eu | kr]] [-rn SrvName] [-dl] [-opengl]
说明：
  -e 使用指定的wow.exe。
    wowexe 指定将要被启动的wow.exe，需要完整路径。
  -o  登录非CWOW服务区，默认为使用下拉列表选择
    tw 登录台服
    us 登录美服
    eu 登录欧服
    kr 登录韩服
  -rn 选择登录后自动进入服务器
    SrvName 服务器名，如“罗宁”
  -opengl 以OpenGL模式启动游戏。
  -q  静默模式，程序加载后直接执行“启动游戏”操作。
示例：启动D:\WOW文件夹下的wow.tf.exe，登录TF，登录后进入“戰歌”服务器：
      Skeleton.exe -e "D:\World of Warcraft\wow.tf.exe" -o:tw -rn "戰歌"
3.现在，每次启动游戏之前realmlist.wtf都会被改写， 请使用参数指定登录台服、美服、欧服。
4.当WOW目录中缺少launcher2.ini文件时，程序会自动加载外服列表。

7月18日 1:05：
1.修正了查找wow.exe的优先顺序，现在程序会优先加载同目录的wow.exe。

7月17日 22:30：
1.增加对TWOW的2.1.3.6898版本支持。
2.为了防范某些木马，本程序加强了对wow.exe的验证。
3.现在，如果您点击“启动游戏”之前没有改变服务区选择，程序将不会改写realmlist.wtf。
4.修改了某些出错信息，使其更好理解。

author by am2002